Subject: bug#65469: [PATCH] * etc/emacsclient.desktop: Make Emacs default application for org-protocol

From: Björn Bidar <[email-masked]>
Date: Wed, 20 Sep 2023 17:01:27 +0300

Eli Zaretskii <[email-masked]> writes:

>> From: Ihor Radchenko <[email-masked]>
>> Cc: [email-masked], [email-masked],
>> [email-masked]
>> Date: Wed, 20 Sep 2023 09:32:38 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> I guess it depends on the level of precision you want to have in
>> >> the
>> >> NEWS entry. For me, the NEWS entry sounds good enough, but I
>> >> wanted to
>> >> make things more clear after Björn's comment.
>> >
>> > So what is imprecise in the wording I suggested a couple of
>> > messages
>> > ago?
>> 
>>     Previously, users had to manually configure their desktop environment
>>     to open 'org-protocol' links in Emacs.  On any XDG-compliant system,
>>     including GNU/Linux and some others, these links should now open in
>>     Emacs automatically
>> 
>> 1. GNU/Linux by itself is not XDG-compliant. Only some desktop
>>    environments are.
>
> How about this minor variation:
>
>     Previously, users had to manually configure their desktop
> environment
>     to open 'org-protocol' links in Emacs.  On any XDG-compliant
> desktop
>     environment, including KDE and GNOME on GNU/Linux, and some
> others,
>     these links should now open in Emacs automatically
>
>> 2. System does not have to be fully XDG-compliant. It is enough that
>>    some apps (like Firefox) follow XDG spec and that xdg-utils is
>>    installed.
>
> Does the above change solve this problem as well?  Or maybe try this
> variant:
>
>   ** On capable systems, Emacs is now the default application for 'org-protocol'.
>   Org mode provides a way to quickly capture bookmarks, notes, and links
>   using 'emacsclient':
>
>       emacsclient "org-protocol://store-link?url=URL&title=TITLE"
>
>   Previously, users had to manually configure their desktop environment
>   to open 'org-protocol' links in Emacs.  On any XDG-compliant desktop
>   environment, including KDE and GNOME on GNU/Linux, and some others,
>   these links should now open in Emacs automatically if the application
>   that opens the link follows the XDG spec and xdg-utils are installed.
>   This is because the "emacsclient.desktop" file now arranges for Emacs
>   to be the default application for the 'org-protocol' URI scheme.  See
>   the Org mode manual, Info node "(org) Protocols" for more details.

Why the focus on Linux? For example, you can install KDE on BSD and have
the same benefit of the change as on Linux.